Interface IPagingCursorbasedRequestBuilder<T, A, BT extends IRequest.Builder<PagingCursorbased<T>, ?>>
- Type Parameters:
T- the type of objects contained in the paging resultA- the type of the cursor/after parameterBT- the specific builder type extending this interface
- All Superinterfaces:
IRequest.Builder<PagingCursorbased<T>, BT>
- All Known Implementing Classes:
AbstractDataPagingCursorbasedRequest.Builder, GetFollowedArtistsRequest.Builder, GetRecentlyPlayedTracksRequest.Builder
public interface IPagingCursorbasedRequestBuilder<T, A, BT extends IRequest.Builder<PagingCursorbased<T>, ?>>
extends IRequest.Builder<PagingCursorbased<T>, BT>
Interface for request builders that support cursor-based paging functionality.
-
Method Summary
Methods inherited from interface IRequest.Builder
build, setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionbuild()Build the request.setBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.<ST> BTsetBodyParameter(String name, ST value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.<ST> BTSet a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.<ST> BTsetQueryParameter(String name, ST value) Set a query parameter for the request.Set the scheme for the request.
-
Method Details
-
limit
-
after
-